jQuery(function ($) {
  $(".remove-from-wishlist").click(function (e) {
    e.preventDefault();
    var button = $(this);
    var product = $(this).parent(".wishlist-card");
    var productId = button.data("product-id");

    $.ajax({
      type: "POST",
      url: ajax_object.ajax_url,
      data: {
        action: "remove_from_wishlist",
        product_id: productId,
      },
      success: function (response) {
        // Aktualizujte zobrazenie tlačidla alebo vykonajte iné operácie
        product.hide();
        button.hide();
        button.siblings(".add-to-wishlist").show();
        console.log("Produkt bol odstránený z Wishlistu.");
      },
    });
  });
});
